%define upstream_name    Test-Strict
%define upstream_version 0.17

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Check syntax, presence of use strict; and test coverage
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::Cover) >= 0.430.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find) >= 0.10.0
BuildRequires: perl(File::Spec) >= 0.10.0
BuildRequires: perl(File::Temp) >= 0.10.0
BuildRequires: perl(FindBin) >= 0.10.0
BuildRequires: perl(Test::Builder) >= 0.10.0
BuildRequires: perl(Test::Simple) >= 0.470.0
BuildArch:  noarch

%description
The most basic test one can write is "does it compile ?". This module tests if
the code compiles and play nice with Test::Simple modules.

Another good practice this module can test is to "use strict;" in all perl
files.

By setting a minimum test coverage through all_cover_ok(), a code author can
ensure his code is tested above a preset level of kwality throughout the
development cycle.

Along with Test::Pod, this module can provide the first tests to setup for a
module author.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/Test

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.170.0-2.mga3
+ Revision: 373785
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.170.0-1.mga3
+ Revision: 342708
- update to 0.17

* Mon Jan 24 2011 jquelin <jquelin> 0.140.0-1.mga1
+ Revision: 37209
- mageia rebuild
- imported package perl-Test-Strict

